#/////////////////////////////////////////////////////////////////////////////
# FILE:    parameterresults_layer_gui.tcl
# PURPOSE: Definition of the communication layer between MMS and the GUI for
#          Parameter Results of an Estimation
#/////////////////////////////////////////////////////////////////////////////

namespace eval LayerParameterResultsGui {

#/////////////////////////////////////////////////////////////////////////////
proc GetParameterResultsListTest { } {
#/////////////////////////////////////////////////////////////////////////////
  return {
    {}
    {
      name "ParameterResults 1"
    }
    {}
    {
      name "ParameterResults 2"
    }
  }
}

variable parameters_list_test 0
#/////////////////////////////////////////////////////////////////////////////
proc GetParameterResultsList {estim} {
#/////////////////////////////////////////////////////////////////////////////
  variable parameters_list_test
  
  if { $parameters_list_test } {
    return [GetParameterResultsListTest]
  }
  LayerMMSGui::EvalTolFun "MMS::Layer::EstimationsGui::GetParameterResultsList" \
    "Set" $estim
}

#///////////////////////////////////////////////////////////////////////////
proc GetParameterResultsHelp {} {
#///////////////////////////////////////////////////////////////////////////
  
  LayerMMSGui::EvalTolFunArgNoChg "MMS::Layer::EstimationsGui::GetParameterResultsHelp" \
    "Text" "?"
}

}
